> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Tenant Logo

> Upload Tenant Logo



## OpenAPI

````yaml openapi/billing.yaml post /v1/{tenantUUID}/logo
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/logo:
    post:
      tags:
        - Tenants
      summary: Upload Tenant Logo
      description: Upload Tenant Logo
      operationId: API-Pub-Tenants-UploadLogo
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          multipart/form-data:
            schema:
              properties:
                image:
                  type: string
                  description: Tenant Logo Image
                  format: binary
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/API.Pub.Resources.Tenants.TenantResource'
              example:
                uuid: string
                email: string
                business_since: string
                company_size: string
                title: string
                status: string
                code: string
                options:
                  - key: string
                    value: {}
                meta:
                  - key: string
                    value: string
                credit:
                  amount: 0
                  auto_payment: true
                summary: string
                logo:
                  image: string
                payment_gateways:
                  - string
                flags:
                  - uuid: string
                    slug: string
                status_reason:
                  uuid: string
                  slug: string
                  title: string
                vat_number: string
                vat_validated_at: string
                vat_validation_status: valid
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '422':
          description: Unprocessable Entity
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.Tenants.TenantResource:
      type: object
      properties:
        uuid:
          type: string
        email:
          type: string
        business_since:
          type: string
          nullable: true
        company_size:
          type: string
          nullable: true
        title:
          type: string
        status:
          type: string
        code:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/API.Pub.Resources.Tenants.OptionResource'
        meta:
          type: array
          items:
            $ref: '#/components/schemas/API.Pub.Resources.Tenants.MetadataResource'
        credit:
          type: object
          properties:
            amount:
              type: number
              format: float
            auto_payment:
              type: boolean
        summary:
          type: string
        logo:
          $ref: '#/components/schemas/API.Pub.Resources.Tenants.TenantLogoResource'
        payment_gateways:
          type: array
          items:
            type: string
        flags:
          type: array
          items:
            $ref: '#/components/schemas/API.Pub.Resources.Tenants.TenantFlagResource'
        status_reason:
          $ref: '#/components/schemas/API.Pub.Resources.Tenants.StatusReasonResource'
        vat_number:
          type: string
        vat_validated_at:
          type: string
          nullable: true
        vat_validation_status:
          enum:
            - valid
            - invalid
            - failed
          type: string
          nullable: true
    API.Pub.Resources.Tenants.OptionResource:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
    API.Pub.Resources.Tenants.MetadataResource:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
    API.Pub.Resources.Tenants.TenantLogoResource:
      type: object
      properties:
        image:
          type: string
    API.Pub.Resources.Tenants.TenantFlagResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        slug:
          type: string
    API.Pub.Resources.Tenants.StatusReasonResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        slug:
          type: string
        title:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````